complexType "NonpublicExecutionReport"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 3 attributes, 26 elements
Defined: | globally in fpml-recordkeeping-processes-5-5.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
fpmlVersion | = | xsd:token
expectedBuild | = | xsd:positiveInteger
actualBuild | = | "7"
| >
Content: | header?, validation*, isCorrection?, (parentCorrelationId?, correlationId?, sequenceNumber?)?, onBehalfOf[0..4]?, asOfDate?, asOfTime?, portfolioReference??, ((originatingEvent?, trade?) | amendment | increase | (terminatingEvent?, termination?) | novation | change | optionExercise | optionExpiry+ | deClear | withdrawal | additionalEvent), quote*?, party*, account*
</...>

Content Model Elements (26):

  account, additionalEvent, amendment, asOfDate (in nonpublicExecutionReport), asOfTime (in nonpublicExecutionReport), change, correlationId, deClear, header (defined in RequestMessage complexType), increase, isCorrection, novation, onBehalfOf (defined in OnBehalfOf.model group), | optionExercise, optionExpiry (defined in Events.model group), originatingEvent (defined in Events.model group), parentCorrelationId, party (defined in PartiesAndAccounts.model group), portfolioReference (in nonpublicExecutionReport), quote (in nonpublicExecutionReport), sequenceNumber (defined in Sequence.model group), terminatingEvent (defined in Events.model group), termination, trade (defined in Events.model group), validation, withdrawal

All Direct / Indirect Based Elements (1):

  nonpublicExecutionReport

Known Usage Locations

- As direct type of elements (1):
  nonpublicExecutionReport

Type Definition Detail

Type Derivation Tree Document (extension) Message (extension) RequestMessage (extension) CorrectableRequestMessage (extension) NonpublicExecutionReport

XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="NonpublicExecutionReport"> <xsd:complexContent> <xsd:extension base="CorrectableRequestMessage"> <xsd:sequence> <!-- BAL - added 2011-10-18 to address gaps with DTCC requirements --> <xsd:element minOccurs="0" name="asOfDate" type="IdentifiedDate"/> <xsd:element minOccurs="0" name="asOfTime" type="xsd:time"/> <!-- Removed 2012-02-12 per rptwg 2012-02-13, moved to reportingRegime <xsd:element name="reportingPurpose" type="ReportingPurpose" minOccurs="0" maxOccurs="unbounded"> <xsd:annotation> <xsd:documentation xml:lang="en">The reason this message is being sent, for example Snapshot, PET, Confirmation, RealTimePublic.</xsd:documentation> </xsd:annotation> </xsd:element> --> <xsd:group minOccurs="0" ref="PortfolioReferenceBase.model"/> <!-- BAL - end 2011-10-18 additions to address gaps with DTCC requirements --> <xsd:group ref="Events.model"/> <xsd:group minOccurs="0" ref="EventValuation.model"/> <xsd:group ref="PartiesAndAccounts.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 2/26)
asOfDate

  Type: | IdentifiedDate, simple content

  The date for which this document reports positions and valuations.
  Simple Content

  xsd:date

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="asOfDate" type="IdentifiedDate"/>

asOfTime

  Type: | xsd:time, predefined, simple content

  The time for which this report was generated (i.e., the cut-off time of the report).
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="asOfTime" type="xsd:time"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.